Send Message
Send Message.
Authorization
bearerAuth In: header
Query Parameters
Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Unique identifier for the resource.
uuidUnique identifier of the related conversation.
uuidConversation Status value for this resource.
Unique identifier of the related channel.
uuidTo value for this resource.
CC value for this resource.
BCC value for this resource.
Text value for this resource.
1 <= lengthHTML value for this resource.
1 <= lengthContent value for this resource.
Subject value for this resource.
Footer value for this resource.
Header Media Filename value for this resource.
Unique identifier of the related template.
uuidPlaceholder Values value for this resource.
Attachments value for this resource.
Actions value for this resource.
Unique identifier of the related reply to message.
uuidSend After value for this resource.
Response Body
application/json
curl -X POST "https://api.getmateo.com/v1/messages/send" \ -H "Content-Type: application/json" \ -d '{ "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "external_id": "string", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "inbox_id": "5127f22b-d152-46dd-aeaa-3a852d9fbfc2", "channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459", "channel_type": "email", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc", "reply_to_message_id": "7ee4bcf0-8f1b-4bb4-86b4-8565dd84787f", "is_inbound": true, "status": "answered", "timestamp": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "send_after": "2019-08-24T14:15:22Z", "subject": "string", "content": { "type": "root", "children": [ { "type": "text", "content": "string", "bold": true, "underline": true, "strikethrough": true, "italic": true } ], "style": { "color": "string", "fontSize": 0, "fontFamily": "string", "alignment": "left" } }, "footer": "string", "forwarded": true, "placeholder_values": [ "string" ], "attachments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "purpose": "media_library", "filename": "string", "type": "string", "size": -9007199254740991, "url": "http://example.com", "created_at": "2019-08-24T14:15:22Z" } ], "external_attachments": [ { "type": "string", "url": "string" } ], "to": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "cc": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "bcc": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "full_name": "string", "handle": "string", "role": "bcc", "status": "answered", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598" } ], "actions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "call_to_action", "subtype": "phone_number", "text": "string", "data": "string", "index": -9007199254740991, "clicked": true } ], "author": { "type": "employee", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }}